# Source code for azure.mgmt.devspaces.models.resource_provider_operation_definition_py3

    # coding=utf-8
    # --------------------------------------------------------------------------
    # Copyright (c) Microsoft Corporation. All rights reserved.
    # Licensed under the MIT License. See License.txt in the project root for
    # license information.
    #
    # Code generated by Microsoft (R) AutoRest Code Generator.
    # Changes may cause incorrect behavior and will be lost if the code is
    # regenerated.
    # --------------------------------------------------------------------------

    from msrest.serialization import Model

    class ResourceProviderOperationDefinition(Model):
        """ResourceProviderOperationDefinition.

        :param name: Resource provider operation name.
        :type name: str
        :param display:
        :type display:
         ~azure.mgmt.devspaces.models.ResourceProviderOperationDisplay
        """

        _attribute_map = {
            'name': {'key': 'name', 'type': 'str'},
            'display': {'key': 'display', 'type': 'ResourceProviderOperationDisplay'},
        }

        def __init__(self, *, name: str=None, display=None, **kwargs) -> None:
            super(ResourceProviderOperationDefinition, self).__init__(**kwargs)
            self.name = name
            self.display = display